[#-- deprecated since 2.5.1 Use config:/modules/public-user-registration/templates/components/forgottenPassword instead --]

[#if content.title?has_content]<h3>${content.title}</h3>[/#if]
[#if content.text?has_content]<p>${content.text}</p>[/#if]

[#if !model.authenticated]
    <form action="${contextPath}/.magnolia/pages/password-reminder.html" method="get" id="passwordReminder" class="user">
        <fieldset class="mainfields">
            [#if content.targetPage?has_content]
                <input type="hidden" name="targetPage" value="${content.targetPage!}"/>
            [/#if]
            [#if content.errorPage?has_content]
                <input type="hidden" name="errorPage" value="${content.errorPage!}"/>
            [/#if]
            <label for="username">${i18n.get('template.passwordreminder.username.label')}</label>
            <input id="username" name="username" /><br/>
        </fieldset>

        <fieldset class="buttons">
            <input type="submit" class="submit" accesskey="s" value="${i18n.get('template.passwordreminder.submit.label')}"/>
        </fieldset>
    </form>
[#else]
    <p>${i18n.get('template.passwordreminder.loggedin', [model.user.name!])}</p>
[/#if]

[#if model.errorMessages?has_content]
    <h4>${i18n.get('model.errorMessages')}</h4>
    <ul>
        [#list model.errorMessages?keys as key]
            <li>${i18n.get(model.errorMessages[key]!)}</li>
        [/#list]
    </ul>
[/#if]
