[#-- deprecated since 2.5.1 Use /public-user-registration/templates/components/login.ftl instead --]
[#if content.title?has_content]<h3>${content.title}</h3>[/#if]
[#if content.text?has_content]<p>${content.text}</p>[/#if]

[#if !model.authenticated]
<form action="?" method="post" id="loginForm" class="user">
    <fieldset class="mainfields">
        [#if content.realmName?has_content]
            <input type="hidden" name="mgnlRealm" value="${content.realmName!}"/>
        [/#if]
        [#if content.targetPage?has_content]
            <input type="hidden" name="mgnlReturnTo" value="${content.targetPage}"/>
        [/#if]
        <label for="username">${i18n.get('template.login.username.label')}</label>
        <input id="username" name="mgnlUserId"/><br/>
        <label for="mgnlUserPSWD">${i18n.get('template.login.password.label')}</label>
        <input id="mgnlUserPSWD" name="mgnlUserPSWD" type="password"/><br/>
    </fieldset>
    <fieldset class="buttons">
        <input type="submit" class="submit" accesskey="l" value="${i18n.get('template.login.submit.label')}"/>
    </fieldset>
</form>
[#else]

<p>${i18n.get('template.login.welcome', [model.user.name!])}</p>

<form action="" method="post" id="logoutForm" class="user">
    <fieldset class="mainfields">
        <input type="hidden" name="mgnlModelExecutionUUID" value="${content.@uuid!}"/>
        <input type="hidden" name="mgnlLogout" value="true"/>
    </fieldset>
    <fieldset class="buttons">
        <input type="submit" class="submit" accesskey="l" value="${i18n.get('template.login.submit.logout.label')}"/>
    </fieldset>
</form>

[/#if]

[#if model.loginError?exists]
<div class="loginError">
    <p>${i18n.getWithDefault(model.loginError!, i18n.get('login.defaultError'))}</p>
</div>
[/#if]
