[#-- deprecated since 2.5.1 Use config:/modules/public-user-registration/templates/components/registration instead --]

[#if content.title?has_content]<h3>${content.title}</h3>[/#if]
[#if content.text?has_content]<p>${content.text}</p>[/#if]

[#if model.errorMessages?has_content]
    <h4>${i18n.get('model.errorMessages')}</h4>
    <ul>
        [#list model.errorMessages?keys as key]
            <li>${i18n.get(model.errorMessages[key]!)}</li>
        [/#list]
    </ul>
[/#if]

[#if !model.authenticated]
<form action="${contextPath}/.magnolia/pages/register.html" method="post" id="registrationForm" class="user">
    <fieldset class="mainfields">
        [#if content.targetPage?has_content]
            <input type="hidden" name="targetPage" value="${content.targetPage}"/>
        [/#if]
        [#if content.errorPage?has_content]
            <input type="hidden" name="errorPage" value="${content.errorPage}"/>
        [/#if]
        <label for="registerUsername">${i18n.get('template.registration.username.label')}</label>
        <input id="registerUsername" name="username" /><br/>
        <label for="registerPassword">${i18n.get('template.registration.password.label')}</label>
        <input id="registerPassword" name="password"  type="password"/><br/>
        <label for="registerPasswordConfirmation">${i18n.get('template.registration.passwordConfirmation.label')}</label>
        <input id="registerPasswordConfirmation" name="passwordConfirmation" type="password"/><br/>
        <label for="registerFullName">${i18n.get('template.registration.fullName.label')}</label>
        <input id="registerFullName" name="fullName" /><br/>
        <label for="registerEmail">${i18n.get('template.registration.email.label')}</label>
        <input id="registerEmail" name="email" /><br/>
    </fieldset>
    <fieldset class="buttons">
        <input type="submit" class="submit" accesskey="r" value="${i18n.get('template.registration.submit.label')}"/>
    </fieldset>
</form>
[#else]
    <p>${i18n.get('template.registration.notneeded')}</p>
[/#if]
